﻿@model JavnaNabava.Models.KonzorcijViewModel

@{
    ViewData["Title"] = "Konzorcij";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Konzorcij</h1>

<pager page-info="@Model.PagingInfo" page-title="Unesite zeljenu stranicu" 
       page-action="Index2" class="float-right">
</pager>

<table class="table">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1" 
                   asp-route-page="@Model.PagingInfo.CurrentPage" 
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">
                Naziv konzorcija</a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@Model.PagingInfo.CurrentPage" 
                   asp-route-ascending="@(Model.PagingInfo.Sort == 2 ? !Model.PagingInfo.Ascending : true)">Adresa sjedišta</a>
            </th>
            <th>
                <a asp-route-sort="3"
                   asp-route-page="@Model.PagingInfo.CurrentPage" 
                   asp-route-ascending="@(Model.PagingInfo.Sort == 3 ? !Model.PagingInfo.Ascending : true)">Mjesto</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@Model.PagingInfo.CurrentPage" 
                   asp-route-ascending="@(Model.PagingInfo.Sort == 4 ? !Model.PagingInfo.Ascending : true)">Vrsta konzorcija</a>
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model.Dto) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.konzorcij.Naziv)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.konzorcij.AdresaSjedista)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.mjesto.Naziv)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.sifVrstaKonzorcija.Naziv)
            </td>
            <td>
                <a asp-action="Edit2"
                   asp-route-Oib="@item.konzorcij.Oib"
                   class="btn btn-warning btn-sm" title="Ažuriraj"><i class="fas fa-edit"></i></a>
            </td>
            <td>
                <a class="btn btn-sm btn-info" asp-action="Details2" asp-route-Oib="@item.konzorcij.Oib"><i class="fas fa-info"></i></a>
            </td>
            <td>
                @*<a class="delete" asp-controller="Konzorcij" asp-action="Delete" asp-route-Oib="@item.konzorcij.Oib">Izbriši</a>*@
                <a asp-action="Delete" asp-route-Oib="@item.konzorcij.Oib" class="btn btn-sm btn-danger delete" title="Obriši"><i class="fas fa-trash-alt"></i></a>
            </td>
        </tr>
}
    </tbody>
</table>
<p>
    <a asp-action="Create" asp-controller="Konzorcij">Dodaj konzorcij</a>
</p>
